Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.commons.business.v1
Class InformationNotifiedType

    java.lang.Object
      be.fgov.ehealth.rn.commons.business.v1.InformationNotifiedType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:53:32+02:00",
               comments="JAXB RI v2.3.6")
    public class InformationNotifiedType

extends Object
implements Serializable

Deprecated type. Use SenderReceiverType in new batch XSDs. Information block for partner info when CBSS notifies partner

Java class for InformationNotifiedType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InformationNotifiedType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Ticket" type="{urn:be:fgov:ehealth:rn:commons:business:v1}TicketType" minOccurs="0"/>
             <element name="TimestampReply" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="NotifiedIdentification" type="{urn:be:fgov:ehealth:rn:commons:business:v1}OrganizationIdentificationType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`InformationNotifiedType()`

Method Summary
`OrganizationIdentificationType` | `getNotifiedIdentification()` Gets the value of the notifiedIdentification property.
`String` | `getTicket()` Gets the value of the ticket property.
`org.joda.time.DateTime` | `getTimestampReply()` Gets the value of the timestampReply property.
`void` | `setNotifiedIdentification(OrganizationIdentificationType value)` Sets the value of the notifiedIdentification property.
`void` | `setTicket(String value)` Sets the value of the ticket property.
`void` | `setTimestampReply(org.joda.time.DateTime value)` Sets the value of the timestampReply property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InformationNotifiedType

    public InformationNotifiedType()

Method Detail

### getTicket

    public String getTicket()

  Gets the value of the ticket property.

  Returns:
    possible object is `String`

### setTicket

    public void setTicket(String value)

  Sets the value of the ticket property.

  Parameters:
    `value` - allowed object is `String`

### getTimestampReply

    public org.joda.time.DateTime getTimestampReply()

  Gets the value of the timestampReply property.

  Returns:
    possible object is `String`

### setTimestampReply

    public void setTimestampReply(org.joda.time.DateTime value)

  Sets the value of the timestampReply property.

  Parameters:
    `value` - allowed object is `String`

### getNotifiedIdentification

    public OrganizationIdentificationType getNotifiedIdentification()

  Gets the value of the notifiedIdentification property.

  Returns:
    possible object is `OrganizationIdentificationType`

### setNotifiedIdentification

    public void setNotifiedIdentification(OrganizationIdentificationType value)

  Sets the value of the notifiedIdentification property.

  Parameters:
    `value` - allowed object is `OrganizationIdentificationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.